Subject: [secdir] Secdir review of draft-ietf-lamps-cms-hash-sig-08

From: Radia Perlman <[email-masked]>
Date: Sun, 28 Jul 2019 23:55:47 -0700

I have reviewed this document as part of the security directorate’s ongoing
effort to review all IETF documents being processed by the IESG. These
comments were written primarily for the benefit of the security area
directors.  Document editors and WG chairs should treat these comments just
like any other last call comments.

Summary: Ready

I don't see any problems with this.  The content is thorough.  Editorally,
though, I might suggest that there is not really enough tutorial
information for someone that is not familiar with these sorts of algorithms
to understand this document, so perhaps either there could be another
document that this points to, complete with figures (which is the only way
to really understand these I think), or more tutorial information could be
in this document, or perhaps just say in the beginning that the reader is
assumed to already  understand these algorithms.

Radia